SimpleSVMClassifierModel (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.SimpleSVMClassifierModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class SimpleSVMClassifierModel

    java.lang.Object
      org.biojava.stats.svm.AbstractSVMClassifierModel
          org.biojava.stats.svm.SimpleSVMClassifierModel

All Implemented Interfaces:
  SVMClassifierModel

    public class SimpleSVMClassifierModel

extends AbstractSVMClassifierModel

A no-frills implementation of an SVM classifier model.

Author:
  Matthew Pocock

Constructor Summary
`SimpleSVMClassifierModel(SVMKernel kernel)`
`SimpleSVMClassifierModel(SVMKernel kernel, Collection items)`
`SimpleSVMClassifierModel(SVMKernel kernel, SVMTarget target)`

Method Summary
`void` | `addItem(Object item)`
`void` | `addItemAlpha(Object item, double alpha)`
`void` | `clear()`
`double` | `getAlpha(Object item)`
`SVMKernel` | `getKernel()`
`double` | `getThreshold()`
`Set` | `itemAlphas()`
`Set` | `items()`
`void` | `removeItem(Object item)`
`void` | `setAlpha(Object item, double alpha)`
`void` | `setThreshold(double threshold)`

Methods inherited from class org.biojava.stats.svm.AbstractSVMClassifierModel
`classify, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSVMClassifierModel

    public SimpleSVMClassifierModel(SVMKernel kernel)

### SimpleSVMClassifierModel

    public SimpleSVMClassifierModel(SVMKernel kernel,
                                    Collection items)

### SimpleSVMClassifierModel

    public SimpleSVMClassifierModel(SVMKernel kernel,
                                    SVMTarget target)

Method Detail

### getKernel

    public SVMKernel getKernel()

### setThreshold

    public void setThreshold(double threshold)

### getThreshold

    public double getThreshold()

### items

    public Set items()

### itemAlphas

    public Set itemAlphas()

### getAlpha

    public double getAlpha(Object item)

### setAlpha

    public void setAlpha(Object item,
                         double alpha)

  Specified by:
    `setAlpha` in interface `SVMClassifierModel`
  Overrides:
    `setAlpha` in class `AbstractSVMClassifierModel`

### addItem

    public void addItem(Object item)

  Specified by:
    `addItem` in interface `SVMClassifierModel`
  Overrides:
    `addItem` in class `AbstractSVMClassifierModel`

### addItemAlpha

    public void addItemAlpha(Object item,
                             double alpha)

  Specified by:
    `addItemAlpha` in interface `SVMClassifierModel`
  Overrides:
    `addItemAlpha` in class `AbstractSVMClassifierModel`

### removeItem

    public void removeItem(Object item)

  Specified by:
    `removeItem` in interface `SVMClassifierModel`
  Overrides:
    `removeItem` in class `AbstractSVMClassifierModel`

### clear

    public void clear()

  Specified by:
    `clear` in interface `SVMClassifierModel`
  Overrides:
    `clear` in class `AbstractSVMClassifierModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD